// beispiele/buttondemo/mycheckbuttondialog.cpp
#include "mycheckbuttondialog.h"

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyQCheckBoxDialog::MyQCheckBoxDialog() {
   setFixedSize ( 200, 180 );
   vbox = new QVBoxLayout;
   check01 = new QCheckBox("Label 1");
   check02 = new QCheckBox("Label 2");
   check03 = new QCheckBox("Label 3");
   check04 = new QCheckBox("Label 4");
   button01 = new QPushButton("Auswerten");

   check02->setCheckState(Qt::Checked);
   check04->setTristate();
   check04->setCheckState(Qt::PartiallyChecked);

   vbox->addWidget(check01);
   vbox->addWidget(check02);
   vbox->addWidget(check03);
   vbox->addWidget(check04);
   vbox->addWidget(button01);
   setLayout(vbox);

   connect( check01, SIGNAL( stateChanged ( int ) ),
            this, SLOT( isChecked( int ) ) );
   connect( check02, SIGNAL( stateChanged ( int ) ),
            this, SLOT( isChecked( int ) ) );
   connect( check03, SIGNAL( stateChanged ( int ) ),
           this, SLOT( isChecked( int ) ) );
   connect( check04, SIGNAL( clicked() ),
            this, SLOT( cantChecked( ) ) );
   connect( button01, SIGNAL( clicked() ),
            this, SLOT( myResult( ) ) );
}

// Zustand eines Buttons hat sich verndert
void MyQCheckBoxDialog::isChecked( int state ) {
      if( state == Qt::Checked )
         QMessageBox::information(
            this, "isChecked",
            "Eine Checkbox wurde aktiviert",
            QMessageBox::Ok );
      else if( state == Qt::Unchecked )
         QMessageBox::information(
            this, "isChecked",
            "Eine Checkbox wurde <b>de</b>aktiviert",
            QMessageBox::Ok ) ;
}

// Zustand eines Buttons hat sich verndert
void MyQCheckBoxDialog::cantChecked( ) {
   QMessageBox::information(
      this, "cantChecked",
      "Sorry, Sie knnen diese Checkbox nicht ndern",
      QMessageBox::Ok ) ;
   check04->setCheckState(Qt::PartiallyChecked);
}

// Alle Checkboxen auswerten
void MyQCheckBoxDialog::myResult() {
   int result=0;
   if (check01->checkState() == Qt::Checked )
      result+=1;
   if (check02->checkState() == Qt::Checked )
      result+=10;
   if( check03->checkState() == Qt::Checked )
      result+=100;
   emit done(result);
}

