// beispiele/buttondemo/myqpushbuttondialog.cpp
#include "mypushbuttondialog.h"

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyQPushDialog::MyQPushDialog() {
   setFixedSize ( 200, 180 );

   vbox = new QVBoxLayout;
   button01 = new QPushButton("Flat");
   button02 = new QPushButton("Default");
   button03 = new QPushButton("Normal");
   button04 = new QPushButton("Checkable");
   button05 = new QPushButton("Down");

   // Attribute setzen
   button01->setFlat(true);
   button01->setIcon(QIcon(QString("%1%2")
      .arg(QCoreApplication::applicationDirPath())
      .arg("/images/icon.png")));
   button04->setCheckable(true);
   button05->setDown(true);

   vbox->addWidget(button01);
   vbox->addWidget(button02);
   vbox->addWidget(button03);
   vbox->addWidget(button04);
   vbox->addWidget(button05);
  setLayout(vbox);

   connect( button01, SIGNAL( clicked() ),
            this, SLOT( accept() ) );
   connect( button02, SIGNAL( clicked() ),
            this, SLOT( reject() ) );
   connect( button03, SIGNAL ( clicked()),
            this, SLOT( mySetResult() ) );
   connect( button04, SIGNAL( toggled(bool) ),
            this, SLOT( checktoogled(bool) ) );
}

// Zustand des Buttons hat sich ver�ndert
void MyQPushDialog::checktoogled(bool iftoogled) {
   if( iftoogled )
       QMessageBox::information(
          this, "checktoogled()",
          "Button \"Checkable\" ist aktiv",
          QMessageBox::Ok );
   else
      QMessageBox::information(
         this, "checktoogled()",
         "Button \"Checkable\" ist <b>nicht</b> aktiv",
         QMessageBox::Ok );
}

// R�ckgabewert vom "Checkable" Button abh�ngig machen
void MyQPushDialog::mySetResult() {
   int result;
   if (button04->isChecked() )
      result = 100;
   else
       result = 50;
   emit done(result);
}

