// beispiele/buttondemo/myradiobuttondialog.cpp
#include "myradiobuttondialog.h"

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyQRadioBoxDialog::MyQRadioBoxDialog() {
   setFixedSize ( 200, 180 );
   groupBox = new QGroupBox("Radio Button Demo");

   radio01 = new QRadioButton("Radio 1");
   radio02 = new QRadioButton("Radio 2");
   radio03 = new QRadioButton("Radio 3");
   button01 = new QPushButton("Auswerten");
   // radio02 vorbelegen
   radio02->setChecked(true);

   vbox = new QVBoxLayout;
   vbox->addWidget(radio01);
   vbox->addWidget(radio02);
   vbox->addWidget(radio03);
   vbox->addWidget(button01);
   vbox->addStretch(1);
   groupBox->setLayout(vbox);

   QVBoxLayout* myBox = new QVBoxLayout;
   myBox->addWidget(groupBox);
   setLayout(myBox);

   connect( radio01, SIGNAL( toggled(bool) ),
            this, SLOT( changeRadio(bool) ) );
   connect( radio02, SIGNAL( toggled(bool) ),
            this, SLOT( changeRadio(bool) ) );
   connect( radio03, SIGNAL( toggled(bool) ),
            this, SLOT( changeRadio(bool) ) );
   connect( button01, SIGNAL( clicked() ),
            this, SLOT( myResult( ) ) );
}

// Zustand eines Buttons hat sich verndert
void MyQRadioBoxDialog::changeRadio(bool status) {
   if( status )
      QMessageBox::information(
         this, "changeRadio",
         "Radiobutton wurde gendert",
         QMessageBox::Ok ) ;
}

// Radio-Buttons auswerten
void MyQRadioBoxDialog::myResult() {
   int result=0;
   if( radio01->isChecked()) result = 1;
   if( radio02->isChecked()) result = 2;
   if( radio03->isChecked()) result = 3;
   emit done(result);
}

