// beispiele/buttondemo/mywidget1.cpp
#include "mywidget1.h"
#include "mypushbuttondialog.h"
#include "mycheckbuttondialog.h"
#include "myradiobuttondialog.h"
#include <QApplication>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( const char* lab, QWidget *parent):
   QWidget(parent)  {
   // Elemente des Widgets erzeugen
   button0 = new QPushButton ("QPushButton");
   button2 = new QPushButton ("Q&CheckButton");
   button3 = new QPushButton ("Q&RadioButton");
   layout  = new QVBoxLayout(this);
   label1   = new QLabel(lab);

   button0->setShortcut(tr("Alt+F1"));

   // Elemente des Widgets anordnen/anpassen
   layout->addWidget(label1);
   layout->addWidget(button0);
   layout->addWidget(button2);
   layout->addWidget(button3);

   // Signale des Widgets einrichten
   connect( button0, SIGNAL( clicked() ),
            this, SLOT( qpush_exec() ) );
   connect( button2, SIGNAL( clicked() ),
            this, SLOT( qcheck_exec() ) );
   connect( button3, SIGNAL( clicked() ),
            this, SLOT( qradio_exec() ) );
   setWindowTitle("Button - Demo");
}

void MyWidget::qpush_exec() {
   pushDialog = new MyQPushDialog;
   int status = pushDialog->exec();

   if( status == QDialog::Accepted )
      QMessageBox::information(
         this, "qpush_exec()",
         "Acceped zurckgegeben (\"Flat\"-Button)",
         QMessageBox::Ok );
   else if( status == QDialog::Rejected )
      QMessageBox::information(
         this, "qpush_exec()",
         "Rejected zurckgegeben (\"Default\"-Button)",
         QMessageBox::Ok );
   else if( status == 100)
      QMessageBox::information(
         this, "qpush_exec()",
         "\"Normal\"-Button bettigt: "
         "\"Checkable\"-Button war aktiv",
         QMessageBox::Ok );
   else if( status == 50 )
      QMessageBox::information(
         this, "qpush_exec()",
         "\"Normal\"-Button bettigt:"
         " \"Checkable\"-Button war <b>nicht</b> aktiv",
         QMessageBox::Ok );
}

void MyWidget::qcheck_exec() {
   checkDialog = new MyQCheckBoxDialog;
   int status = checkDialog->exec();
   QString score = "Aktiv waren: [Label 4] ";
   if ( status != 0 ) {
      if( status / 100 )
         score.append(" [Label 3] ");
      status%=100;
      if( status / 10 )
         score.append(" [Label 2] ");
      status%=10;
      if( status / 1 )
         score.append(" [Label 1] ");
   }
   else  {
      score.append(" Kein Label war aktiv " );
   }
   QMessageBox::information(
      this, "qcheck_exec()", score, QMessageBox::Ok );
}


void MyWidget::qradio_exec() {
   radioDialog = new MyQRadioBoxDialog;
   int status = radioDialog->exec();
   QString score = "Aktiver Radio-Button: ";
   if( status == 1 ) score.append("1");
   if( status == 2 ) score.append("2");
   if( status == 3 ) score.append("3");
   QMessageBox::information(
      this, "qradio_exec()", score, QMessageBox::Ok );
}

