// beispiele/layout1/mylayout.cpp
#include "mylayout.h"
#include <QApplication>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyLayoutEx::MyLayoutEx() {
   // 3 mal 4 Buttons erzeugen
   for( int j = 0; j < 3; ++j ) {
      but01[j] = new QPushButton("Button01");
      but02[j] = new QPushButton("Button02");
      but03[j] = new QPushButton("Button03");
      but04[j] = new QPushButton("Button04");
   }
   // Buttons vertikal anordnen
   VBox = new QVBoxLayout;
   VBox->addWidget(but01[0]);
   VBox->addWidget(but02[0]);
   VBox->addWidget(but03[0]);
   VBox->addWidget(but04[0]);
   // eine Box mit Label um die Buttons
   VGroup = new QGroupBox("QVBoxLayout");
   // die vertikal Box mit den Buttons
   // in die Group-Box stecken
   VGroup->setLayout(VBox);
   // Buttons horizontal anordnen
   HBox = new QHBoxLayout;
   HBox->addWidget(but01[1]);
   HBox->addWidget(but02[1]);
   HBox->addWidget(but03[1]);
   HBox->addWidget(but04[1]);
   // eine Box mit Label um die Buttons
   HGroup = new QGroupBox("QHBoxLayout");
   // die horizont. Box mit den Buttons
   // in die Group-Box stecken
   HGroup->setLayout(HBox);
   // Buttons auf einen Raster anordnen
   Grid = new QGridLayout;
   Grid->addWidget(but01[2], 0, 0);
   Grid->addWidget(but02[2], 0, 1);
   Grid->addWidget(but03[2], 1, 0);
   Grid->addWidget(but04[2], 1, 1);
   // eine Box mit Label um die Buttons
   GridGroup = new QGroupBox("QGridGroup");
   // die Raster-Box mit den Buttons
   // in die Group-Box stecken
   GridGroup->setLayout(Grid);
   // eine vertikale Box erzeugen
   AllBox = new QVBoxLayout(this);
   // alle Group-Boxen in die vertik. Box stecken
   AllBox->addWidget(VGroup);
   AllBox->addWidget(HGroup);
   AllBox->addWidget(GridGroup);
   // Layout setzen
   setLayout(AllBox);
   // Fenstertitel angeben
   setWindowTitle("Basic Layouts");
}

