// beispiele/qframe/mywidget.cpp
#include "mywidget.h"
#include <QApplication>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( QWidget *parent): QWidget(parent)  {
   // Radio-Buttons fr die Form (Shape)
   QVBoxLayout *vbox1 = new QVBoxLayout;
   rb1 = new QRadioButton("QFrame::NoFrame");
   rb2 = new QRadioButton("QFrame::Box");
   rb3 = new QRadioButton("QFrame::Panel");
   rb4 = new QRadioButton("QFrame::StyledPanel");
   rb5 = new QRadioButton("QFrame::HLine");
   rb6 = new QRadioButton("QFrame::VLine");
   rb7 = new QRadioButton("QFrame::WinPanel");
   rb1->setChecked(true);
   vbox1->addWidget(rb1);
   vbox1->addWidget(rb2);
   vbox1->addWidget(rb3);
   vbox1->addWidget(rb4);
   vbox1->addWidget(rb5);
   vbox1->addWidget(rb6);
   vbox1->addWidget(rb7);
   vbox1->addStretch(1);

   // Radio-Buttons fr den Schatten (Shadow)
   QVBoxLayout *vbox2 = new QVBoxLayout;
   rb8 = new QRadioButton("QFrame::Plain");
   rb9 = new QRadioButton("QFrame::Raised");
   rb10 = new QRadioButton("QFrame::Sunken");
   rb8->setChecked(true);

   vbox2->addWidget(rb8);
   vbox2->addWidget(rb9);
   vbox2->addWidget(rb10);
   vbox2->addStretch(1);

   // Das Frame-Demo
   framelabel = new QLabel("Frame");
   framelabel->setMargin( 25 );
   framelabel->setLineWidth(2);
   framelabel->setAlignment( Qt::AlignCenter );
   framelabel->setFrameStyle(
      QFrame::NoFrame | QFrame::Plain );

   // Alles in die Group-Box verpacken
   QGroupBox *groupBox1 = new QGroupBox("Shape");
   groupBox1->setLayout(vbox1);
   QGroupBox *groupBox2 = new QGroupBox("Shadow");
   groupBox2->setLayout(vbox2);

   // Signal-Slot-Verbindungen fr die Radio-Buttons
   connect( rb1, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb2, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb3, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb4, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb5, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb6, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb7, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb8, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb9, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   connect( rb10, SIGNAL( toggled(bool) ),
            this, SLOT( changeFrame (bool) ) );
   //    Das Layout erstellen
   QHBoxLayout *hbox = new QHBoxLayout;
   hbox->addWidget(groupBox1);
   hbox->addWidget(groupBox2);
   hbox->addWidget(framelabel);
   setLayout(hbox);
   setWindowTitle("QFrame - Demo");
}

// Slot: Radio-Buttons auswerten und Form/Schatten
// von QFrame neu einstellen
void MyWidget::changeFrame(bool b) {
     if( rb1->isChecked() )
        framelabel->setFrameShape(QFrame::NoFrame);
     else if( rb2->isChecked() )
        framelabel->setFrameShape(QFrame::Box);
     else if( rb3->isChecked() )
        framelabel->setFrameShape(QFrame::Panel);
     else if( rb4->isChecked() )
        framelabel->setFrameShape(QFrame::StyledPanel);
     else if( rb5->isChecked() )
        framelabel->setFrameShape(QFrame::HLine);
     else if( rb6->isChecked() )
        framelabel->setFrameShape(QFrame::VLine);
     else if( rb7->isChecked() )
        framelabel->setFrameShape(QFrame::WinPanel);

     if( rb8->isChecked() )
        framelabel->setFrameShadow(QFrame::Plain);
     else if( rb9->isChecked() )
        framelabel->setFrameShadow(QFrame::Raised);
     else if( rb10->isChecked() )
        framelabel->setFrameShadow(QFrame::Sunken);
}

